unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, XPMan;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    Label1: TLabel;
    XPManifest1: TXPManifest;
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses SHFolder;

function GetSpecialFolderPath(folder : integer) : string;
const
  SHGFP_TYPE_CURRENT = 0;
var
  path: array [0..MAX_PATH] of char;
begin
  if SUCCEEDED(SHGetFolderPath(0,folder,0,SHGFP_TYPE_CURRENT,@path[0])) then
    Result := path
  else
    Result := '';
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
var
  index : integer;
  specialFolder : integer;
begin
  if RadioGroup1.ItemIndex = -1 then Exit;
  index := RadioGroup1.ItemIndex;
  specialFolder := 0;
  case index of
    //[Current User]\My Documents
    0: specialFolder := CSIDL_PERSONAL;
    //All Users\Application Data
    1: specialFolder := CSIDL_COMMON_APPDATA;
    //[User Specific]\Application Data
    2: specialFolder := CSIDL_LOCAL_APPDATA;
    //Program Files
    3: specialFolder := CSIDL_PROGRAM_FILES;
    //All Users\Documents
    4: specialFolder := CSIDL_COMMON_DOCUMENTS;
  end;
  Label1.Caption := GetSpecialFolderPath(specialFolder) ;

end;

end.
